Bug 40580 - Build qa0511: /etc/shells created with wrong permissions [wu-ftpd service doesn't work for normal user]
Build qa0511: /etc/shells created with wrong permissions [wu-ftpd service doe...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-14 15:39 EDT by Danny Trinh
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 15:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Trinh 2001-05-14 15:39:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-8-Danny i686)

Description of problem:
I can't connect to RedHat 7.1 (QA0511 build) Linuxserver through ftp
service by using normal user.

permissions on "/etc/shells" is incorrect 
it is -rw-rw-rw- while it should be -rw-r--r--

How reproducible:
Always

Steps to Reproduce:
1.create a new user 	
2.ftp localhost (or from other machine)
3. type user/passwd -- access is denied/
	

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-05-17 07:57:04 EDT
On the wu-ftpd side, it's a feature - if /etc/shells is world writable, we'd 
rather lock everyone out than letting everyone logging in.

/etc/shells being created with the wrong permissions is definitely not a 
wu-ftpd problem, I presume anaconda sets the wrong umask.


Comment 2 Brent Fox 2001-05-21 15:45:42 EDT
I just did a full install of Seawolf and anaconda writes out the correct
permissions for /etc/shells.

-rw-r--r--    1 root     root           84 May  24 13:50 /etc/shells
Comment 3 Brent Fox 2001-05-21 16:30:03 EDT
Oh, you were using the SBE.  I just heard from other developers that this bug
was introduced sometime between Seawolf and qa0511, but this has been fixed in
the past few days.

Note You need to log in before you can comment on or make changes to this bug.